Loading...
Searching...
No Matches
TimedProgressDialog Class Reference

A progress dialog with a time remaining label. More...

`#include <timedprogressdialog.h>`

Inheritance diagram for TimedProgressDialog:

## Public Slots

void | setValue (int value)
| set the value of the progress dialog and update the time remaining

## Public Member Functions

| TimedProgressDialog (QWidget *parent)
| TimedProgressDialog (const QString &labelText=QString(), const QString &cancelButtonText=QString(), int minimum=0, int maximum=100, QWidget *parent=nullptr)
void | show ()
| show the progress dialog and start the timer
void | setLabelText (const QString &labelText)
| set the default label text

## Detailed Description

<avogadro/qtgui/timedprogressdialog.h>

Author
  Geoff Hutchison

The documentation for this class was generated from the following file:

- timedprogressdialog.h